<?php

namespace App\Api\Http\Requests\Task;

use Illuminate\Foundation\Http\FormRequest;

class TaskNewStatusRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'task_completed_status' => [
                'nullable',
            ],
            'task_completion_remarks' => [
                'nullable',
            ],
            'latitude' => [
                'nullable',
            ],
            'longitude' => [
                'nullable',
            ],
            'image' => [
                'nullable',
            ],
            'place_address' => [
                'nullable',
            ],

        ];
    }
}
